<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.picketlink-identity-management.partition-manager.identity-configuration.file-store">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="always-create-files,async-write,async-write-thread-pool,relative-to,support-attribute,support-credential,working-dir"/>
        <elem name="addr-params" value="profile,subsystem,partition-manager,identity-configuration,file-store"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.picketlink-identity-management"/>
    </annotation>
    <refs>
        <ref feature="subsystem.picketlink-identity-management.partition-manager.identity-configuration"/>
        <ref feature="subsystem.picketlink-identity-management.partition-manager"/>
        <ref feature="subsystem.picketlink-identity-management"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="support-credential" nillable="true"/>
        <param name="support-attribute" nillable="true"/>
        <param name="working-dir" nillable="true"/>
        <param name="relative-to" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="partition-manager" feature-id="true"/>
        <param name="async-write-thread-pool" nillable="true"/>
        <param name="subsystem" feature-id="true" default="picketlink-identity-management"/>
        <param name="always-create-files" nillable="true"/>
        <param name="identity-configuration" feature-id="true"/>
        <param name="async-write" nillable="true"/>
        <param name="file-store" feature-id="true"/>
    </params>
</feature-spec>